﻿using HeuristicLab.Clients.Hive.WebJobManager.Services;
using HeuristicLab.Clients.Hive.WebJobManager.Services.Imports;
using Microsoft.AspNetCore.SignalR;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace HeuristicLab.Clients.Hive.WebJobManager.Hubs
{
    public class OkbManagerHub : Hub
    {
        private WebLoginService weblog;
        private Guid userId;
        private OkbAdministrationWebClient adminclient;
        /// <summary>
        /// Loads up the services for the client (Instance is only created upon a call from a client)
        /// </summary>
        private void loader()
        {
            weblog = WebLoginService.Instance;
            string uid = Context.QueryString["userid"];
            if (uid == null || uid == "" || Guid.Parse(uid) == Guid.Empty)
            {
                userId = Guid.Empty;
            }
            else
            {
                userId = Guid.Parse(uid);
                adminclient = weblog.getOkbAdminClient(userId);
            }
        }
    }
}
